Estás intentando actualizar tu prestashop y te aparece el error Error: Class ‘ZipArchive’ not found #0 /modules/autoupgrade/classes/ZipAction.php(70). Te explico cómo solucionarlo

Error: Class ‘ZipArchive’ not found #0 /modules/autoupgrade/classes/ZipAction.php(70)

No es un error muy común pero te puede aparecer en el momento que intentas actualizar tu prestashop. En mi caso, fue cuando pasaba de 1.6.1.23 a 1.7.5.1, pero te puede ocurrir en otras versiones.

¿Por qué? Porque el problema simplemente es que el servidor no tiene instalado un módulo de php zip.

Solución

Activa la librería ZIP en tu servidor, o instala el módulo php zip correspondiente. Si no tienes claro cómo se hace, pídeselo a tu proveedor de servidor y te lo harán sin problema y en un plis.

Reinicia el servidor, si fuera necesario, vuelve a intentar la actualización de tu prestashop, y verás que ahora ya no aparece el error.

Espero que os haya servido. Mucha suerte y mucho ecommerce 🙂

Rating: 5.0/5. From 3 votes.
Please wait...

Centro de preferencias de privacidad

Necesarias

Se usan para saber si ya aceptaste nuestras políticas, si ya estás suscrito a nuestra newsletter, para reconocer el estado de tu sesión si la tuvieses y para servir más rápidos los contenidos.

No se captura IPs ni siquiera para el servicio de Analytics así que tu visita es privada.

JSESSIONID, _cfuid, wpSGCachePypass, mailerlite, gdpr, gawp

Translate »